Bug 997401 - [engine-backend] engine fails with ClassCastException during FullListVdsCommand when it detect a running VM that does not exist in DB
[engine-backend] engine fails with ClassCastException during FullListVdsComma...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Oved Ourfali
Artyom
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 08:22 EDT by Elad
Modified: 2016-02-10 14:36 EST (History)
8 users (show)

See Also:
Fixed In Version: is11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:17:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (5.82 MB, application/x-gzip)
2013-08-15 08:22 EDT, Elad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18170 None None None Never

  None (edit)
Description Elad 2013-08-15 08:22:07 EDT
Created attachment 786926 [details]
logs

Description of problem:
I have a scenario in which engine reports about a running vm that does not exist in DB. It causes to engine to enter to a loop with ClassCastException:

2013-08-15 11:09:04,923 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-4) START, FullListVdsCommand(HostName = nott-vds2, HostId = 5d7ce646-22c0-45e7-af68-e6120
c97d94f, vds=Host[nott-vds2], vmIds=[94cbd866-b5b8-4e85-bde7-079bc1acedb3]), log id: 30403e8
2013-08-15 11:09:05,060 INFO  [org.ovirt.engine.core.vdsbroker.VdsManager] (DefaultQuartzScheduler_Worker-6) Initializing Host: green-vdsa
2013-08-15 11:09:05,074 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-4) FINISH, FullListVdsCommand, return: [Ljava.util.HashMap;@4431cc7f, log id: 30403e8
2013-08-15 11:09:05,129 WARN  [org.ovirt.engine.core.vdsbroker.VdsManager] (DefaultQuartzScheduler_Worker-4) Failed to refresh VDS , vds = 5d7ce646-22c0-45e7-af68-e6120c97d94f : nott-vds2, error = java.lang.ClassC
astException: java.lang.Integer cannot be cast to java.lang.String, continuing.: java.lang.ClassCastException: java.lang.Integer cannot be cast to java.lang.String
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.processExternallyManagedVms(VdsUpdateRunTimeInfo.java:1626) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.refreshVmStats(VdsUpdateRunTimeInfo.java:982) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.refreshVdsRunTimeInfo(VdsUpdateRunTimeInfo.java:552) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.Refresh(VdsUpdateRunTimeInfo.java:393) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsManager.OnTimer(VdsManager.java:237) [vdsbroker.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_25]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_25]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_25]
        at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_25]
        at org.ovirt.engine.core.utils.timer.JobWrapper.execute(JobWrapper.java:60) [scheduler.jar:]
        at org.quartz.core.JobRunShell.run(JobRunShell.java:213) [quartz.jar:]
        at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:557) [quartz.jar:]


Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.15.master.el6ev.noarch

How reproducible:
need to get to the mentioned scenario

Steps to Reproduce:
Have a VM that was ran manually on host.



Additional info: logs
Comment 1 Elad 2013-08-18 02:10:56 EDT
This issue causes to engine to fail in detection of running vms. Engine reports running vms (which properly running on hosts) as paused.
Comment 2 Artyom 2013-08-25 04:42:05 EDT
Please describe more explicit steps for reproducing the bug.
Thanks
Comment 3 Elad 2013-08-25 05:14:47 EDT
- (In reply to Artyom from comment #2)
> Please describe more explicit steps for reproducing the bug.
> Thanks
You need to create and run a vm locally on host (not via rhevm)
Comment 4 Artyom 2013-09-01 04:55:27 EDT
Verified on is12, adding external vm via vdsClient.
Receive error message about that vm not managed by rhevm
No any class exception in engine log
Comment 5 Itamar Heim 2014-01-21 17:17:38 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:24:10 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.